<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SESim: Utils/yamlmatlab/doinheritance.m File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SESim
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0a824aa1f70ce3b829ef378253b085da.html">Utils</a></li><li class="navelem"><a class="el" href="dir_a8e1b37497156ef9f662c95c0317de5f.html">yamlmatlab</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">doinheritance.m File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ae5839853d35c2035dd4f2c6cf5064f14"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="doinheritance_8m.html#ae5839853d35c2035dd4f2c6cf5064f14">doinheritance</a> (in r, in tr)</td></tr>
<tr class="separator:ae5839853d35c2035dd4f2c6cf5064f14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dac816958578eab7a490adfb9814f3f"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="doinheritance_8m.html#a5dac816958578eab7a490adfb9814f3f">recurse</a> (in data, in level, in addit)</td></tr>
<tr class="separator:a5dac816958578eab7a490adfb9814f3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a240011556d73b9536ae68015d06052"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="doinheritance_8m.html#a6a240011556d73b9536ae68015d06052">iter_cell</a> (in data, in level, in addit)</td></tr>
<tr class="separator:a6a240011556d73b9536ae68015d06052"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71f135b4becfdae9e04200cafce2ba89"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="doinheritance_8m.html#a71f135b4becfdae9e04200cafce2ba89">iter_struct</a> (in data, in level, in addit)</td></tr>
<tr class="separator:a71f135b4becfdae9e04200cafce2ba89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a771abd47ce009210315048a9b8ab0a5c"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="doinheritance_8m.html#a771abd47ce009210315048a9b8ab0a5c">inherit</a> (in child, in parent_chr, in container, in oaroot, in loc_imported)</td></tr>
<tr class="separator:a771abd47ce009210315048a9b8ab0a5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d809d882d06a1cb89ef716476e0c071"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="doinheritance_8m.html#a1d809d882d06a1cb89ef716476e0c071">contains</a> (in list, in chr)</td></tr>
<tr class="separator:a1d809d882d06a1cb89ef716476e0c071"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a1d809d882d06a1cb89ef716476e0c071"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d809d882d06a1cb89ef716476e0c071">&#9670;&nbsp;</a></span>contains()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function contains </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>list</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>chr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae5839853d35c2035dd4f2c6cf5064f14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5839853d35c2035dd4f2c6cf5064f14">&#9670;&nbsp;</a></span>doinheritance()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function doinheritance </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>tr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a771abd47ce009210315048a9b8ab0a5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a771abd47ce009210315048a9b8ab0a5c">&#9670;&nbsp;</a></span>inherit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function inherit </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>child</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>parent_chr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>container</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>oaroot</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>loc_imported</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6a240011556d73b9536ae68015d06052"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a240011556d73b9536ae68015d06052">&#9670;&nbsp;</a></span>iter_cell()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function iter_cell </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>level</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>addit</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a71f135b4becfdae9e04200cafce2ba89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71f135b4becfdae9e04200cafce2ba89">&#9670;&nbsp;</a></span>iter_struct()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function iter_struct </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>level</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>addit</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5dac816958578eab7a490adfb9814f3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5dac816958578eab7a490adfb9814f3f">&#9670;&nbsp;</a></span>recurse()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function recurse </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>level</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>addit</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
